# jack_ringbuffer_t Struct Reference

`#include <ringbuffer.h>`

## Data Fields

char * | buf
volatile size_t | write_ptr
volatile size_t | read_ptr
size_t | size
size_t | size_mask
int | mlocked

## Field Documentation

char* jack_ringbuffer_t::buf

int jack_ringbuffer_t::mlocked

volatile size_t jack_ringbuffer_t::read_ptr

size_t jack_ringbuffer_t::size

size_t jack_ringbuffer_t::size_mask

volatile size_t jack_ringbuffer_t::write_ptr

The documentation for this struct was generated from the following file:

- ringbuffer.h